# class JsRegExp | Javascript RegExp. More...
Full name | `TelEngine::JsRegExp`
Definition | `#include <libs/yscript/yatescript.h>`
Inherits | TelEngine::JsObject [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- JsRegExp (Mutex* mtx = 0)
- JsRegExp (Mutex* mtx, const char* name, const char* rexp = 0, bool insensitive = false, bool extended = true, bool frozen = false)
- inline const Regexp& regexp () const
- inline Regexp& regexp ()

#### Protected Methods

- virtual JsObject* clone (const char* name) const
- bool runNative (ObjList& stack, const ExpOperation& oper, GenObject* context)

## Detailed Description

Javascript RegExp class, implements regular expression matching

JsRegExp (Mutex* mtx = 0) | ### JsRegExp

Constructor for a RegExp constructor

Parameters:

mtx | Pointer to the mutex that serializes this object

JsRegExp (Mutex* mtx, const char* name, const char* rexp = 0, bool insensitive = false, bool extended = true, bool frozen = false) | ### JsRegExp

Constructor for a RegExp object

Parameters:

mtx | Pointer to the mutex that serializes this object
name | Full name of the object
rexp | Regular expression text
insensitive | True to not differentiate case
extended | True to use POSIX Extended Regular Expression syntax
frozen | True to create an initially frozen object

inline const Regexp& regexp () | ### regexp

[const]

Access the internal Regexp object that does the matching

Returns: Const reference to the internal Regexp object

inline Regexp& regexp () | ### regexp

Access the internal Regexp object that does the matching

Returns: Reference to the internal Regexp object

JsObject* clone (const char* name) | ### clone

[protected const virtual]

Clone and rename method

Parameters:

name | Name of the cloned object

Returns: New object instance

Reimplemented from JsObject.

bool runNative (ObjList& stack, const ExpOperation& oper, GenObject* context) | ### runNative

[protected]

Try to evaluate a single native method

Parameters:

stack | Evaluation stack in use, parameters are popped off this stack and results are pushed back on stack
oper | Function to evaluate
context | Pointer to arbitrary object passed from evaluation methods

Returns: True if evaluation succeeded

Reimplemented from JsObject.

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.